Revenue Report
curl --request POST \
--url https://sandbox.tight.com/v6/reports/revenue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": {
"emails": [
"<string>"
]
},
"filters": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31"
},
"grouping": {
"dimensionId": "tdim_439512",
"column": "CUSTOMER"
}
}
'import requests
url = "https://sandbox.tight.com/v6/reports/revenue"
payload = {
"recipients": { "emails": ["<string>"] },
"filters": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31"
},
"grouping": {
"dimensionId": "tdim_439512",
"column": "CUSTOMER"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: {emails: ['<string>']},
filters: {beginDate: '2025-01-01', endDate: '2025-12-31'},
grouping: {dimensionId: 'tdim_439512', column: 'CUSTOMER'}
})
};
fetch('https://sandbox.tight.com/v6/reports/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"json": [
{
"name": "East Region",
"data": [
{
"name": "Jan 2025",
"total": 150000,
"count": 42,
"data": [
{
"uri": "/v6/bankTransactions/query",
"filters": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
]
}
],
"url": "<string>",
"meta": {
"title": "<string>",
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "John Doe",
"footerLine": "Generated by Tight"
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Reports
Revenue Report
Generate a Revenue Report
POST
/
v6
/
reports
/
revenue
Revenue Report
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Export format for the report
Available options:
JSON, CSV Email recipients for the report
Show child attributes
Show child attributes
Accounting method to generate the report in. Defaults to the company's configured accounting method.
Available options:
ACCRUAL, CASH Filters to apply to the report
Show child attributes
Show child attributes
Grouping options for the revenue report
Show child attributes
Show child attributes
⌘I